# Product Data

{% hint style="info" %}
The Product Data model is delivered on: **Creation, Amendment or Removal**

`eventNotificationGroupId`: **1000**

`eventNotificationTypeId`: 1000 or 1001 or 1002 (Create, Amend or Cancel)
{% endhint %}

```javascript
{
   "eventNotificationGroupId": "1000",
   "eventNotificationTypeId": "1000"
   "eventNotificationDateTime": "2017-11-19 8:34:31",
   "eventNotificationId": "2",
   "eventNotificationIpAddress": "174.6.183.62",
   "eventNotificationName": "Product Create Notification",
   "eventNotificationType": "Product Created"
   "eventData": {
   "productData": {
      "productId": "423",
      "productName": "Large Mens Zip Line T-Shirt"
      }
   },
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zaui.com/webhooks/event-data-payloads/product-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
